Get audience
Get an label's followers across services.
Available platforms are listed in the Get platforms for audience data endpoint.
The API response will include the platform's primary “fan” metric even if it is named differently (e.g., Facebook likes, YouTube subscribers, Deezer fans, Gaana favorites, Line Music Likes). All these are under the "followerCount" metric.
The API response may not return a value for all dates, as we may miss a day or two. These data points may still show on our UI because we estimate the missing data between two points.
Audience refresh frequency depends on the label’s followers on the platform:
- less than 9 followers: every 15 days
- between 10 and 149 followers: every 7 days
- between 150 and 499 followers: every 5 days
- between 500 and 4,999 followers: every 3 days
- between 5,000 and 99,999 followers: every 2 days
- more than 100,000: every day
If you need to find an label's UUID, use the Search label by name endpoint.
| likeCount | followerCount | followingCount | postCount | viewCount | |
|---|---|---|---|---|---|
| X | X | X | |||
| mixcloud | X | X | |||
| patreon | X | X | |||
| soundcloud | X | X | X | ||
| tiktok | X | X | X | ||
| triller | X | X | |||
| x | X | X | X | X | |
| youtube | X | X | X | ||
| X | X | X | X | ||
| Other Platforms | X |
Request
/api/v2/label/{uuid}/audience/{platform}
Path parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| uuid | string | An label UUID | Required |
| platform | string | A social platform code | Required |
Query string parameters
| Parameter | Value | Description | Additional |
|---|---|---|---|
| startDate | string | Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. | Optional |
| endDate | string | Optional period end date (format YYYY-MM-DD) | Optional |
| offset | integer | Get results starting from position | Optional |
| limit | integer | Number of results (max. 100) | Optional |
| sort | string | Sort. Available value asc|desc | Optional |
Response
| Code | Description | Resource |
|---|---|---|
| 200 |
OK
A Social Account response along with its audience plots |
Label Social Audience Plot Collection |
| 400 |
Bad Request
Invalid request |
|
| 401 |
Unauthorized
You are not logged in |
|
| 403 |
Forbidden
This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access. |
|
| 404 |
Not Found
Label not found |